unit Unit1;

interface


uses
	{$IFDEF	Win32} Windows,	{$ELSE}WinTypes, WinProcs, {$ENDIF}Messages, SysUtils,
	Classes, Graphics, Controls, Forms,	Dialogs, ExtCtrls, StdCtrls, Buttons,	Spin,
	ktMBevel;


type
  TForm1 = class(TForm)
    ktMultiBevel1: TktMultiBevel;
    ktMultiBevel2: TktMultiBevel;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    CheckBox1: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    ColorDialog1: TColorDialog;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    RadioGroup3: TRadioGroup;
    RadioGroup4: TRadioGroup;
    BitBtn1: TBitBtn;
    PaintBox1: TPaintBox;
    procedure FormCreate(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
    procedure Panel2Click(Sender: TObject);
    procedure Panel3Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
    procedure RadioGroup3Click(Sender: TObject);
    procedure RadioGroup4Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure PaintBox1Paint(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure	TForm1.FormCreate(Sender:	TObject);
begin
	ktMultiBevel1.BevelWidth:= SpinEdit1.Value;
	ktMultiBevel1.BorderWidth:=	SpinEdit2.Value;
end;

procedure	TForm1.SpinEdit1Change(Sender: TObject);
begin
	ktMultiBevel1.BevelWidth:= SpinEdit1.Value;
end;

procedure	TForm1.SpinEdit2Change(Sender: TObject);
begin
	ktMultiBevel1.BorderWidth:=	SpinEdit2.Value;
end;

procedure	TForm1.CheckBox1Click(Sender:	TObject);
begin
	ktMultiBevel1.Transparent:=	CheckBox1.Checked;
end;

procedure	TForm1.Panel1Click(Sender: TObject);
begin
	if ColorDialog1.Execute	then
	begin
		Panel1.Color:= ColorDialog1.Color;
		ktMultiBevel1.Color:=	Panel1.Color;
		if ktMultiBevel1.ColorFixed	then
		begin
			Panel2.Color:= ktMultiBevel1.ColorHighlight;
			Panel3.Color:= ktMultiBevel1.ColorShadow;
		end;
	end;
end;

procedure	TForm1.Panel2Click(Sender: TObject);
begin
	if ColorDialog1.Execute	then
		if not ktMultiBevel1.ColorFixed	then
		begin
			Panel2.Color:= ColorDialog1.Color;
			ktMultiBevel1.ColorHighlight:= Panel2.Color;
		end;
end;

procedure	TForm1.Panel3Click(Sender: TObject);
begin
	if ColorDialog1.Execute	then
		if not ktMultiBevel1.ColorFixed	then
		begin
			Panel3.Color:= ColorDialog1.Color;
			ktMultiBevel1.ColorShadow:=	Panel3.Color;
		end;
end;

procedure	TForm1.RadioGroup1Click(Sender:	TObject);
begin
	case RadioGroup1.ItemIndex of
		0	:	ktMultiBevel1.Shape:=	bspBottomLine;
		1	:	ktMultiBevel1.Shape:=	bspLeftLine;
		2	:	ktMultiBevel1.Shape:=	bspRect;
		3	:	ktMultiBevel1.Shape:=	bspRightLine;
		4	:	ktMultiBevel1.Shape:=	bspTopLine;
	end;
  RadioGroup3.Enabled:= (RadioGroup1.ItemIndex = 2);
end;

procedure	TForm1.RadioGroup2Click(Sender:	TObject);
begin
	case RadioGroup2.ItemIndex of
		0	:	ktMultiBevel1.BevelOuter:= bstLowered;
		1	:	ktMultiBevel1.BevelOuter:= bstNone;
		2	:	ktMultiBevel1.BevelOuter:= bstRaised;
	end;
end;

procedure	TForm1.RadioGroup3Click(Sender:	TObject);
begin
	case RadioGroup3.ItemIndex of
		0	:	ktMultiBevel1.BevelInner:= bstLowered;
		1	:	ktMultiBevel1.BevelInner:= bstNone;
		2	:	ktMultiBevel1.BevelInner:= bstRaised;
	end;
end;

procedure	TForm1.RadioGroup4Click(Sender:	TObject);
begin
	case RadioGroup4.ItemIndex of
		0	:	begin
					ktMultiBevel1.ColorFixed:= True;
					Panel2.Color:= ktMultiBevel1.ColorHighlight;
					Panel3.Color:= ktMultiBevel1.ColorShadow;
				end;
		1	:	ktMultiBevel1.ColorFixed:= False;
	end;
end;

procedure	TForm1.BitBtn1Click(Sender:	TObject);
begin
	Application.Terminate;
end;

procedure TForm1.PaintBox1Paint(Sender: TObject);
var a, b, g, r, x: integer;
begin
	b:= 0;
  g:= 128;
	r:= 255;
  x:= 0;
  a:= PaintBox1.Width div 32;
  with PaintBox1.Canvas do
  begin
  	Pen.Width:= a + 1;
    while r > 192 do
    begin
			Pen.Color:= RGB(r, g, b);
      Rectangle(x, 0, x + a, PaintBox1.Height);
      b:= b + 6;
      g:= g + 2;
      r:= r - 2;
      x:= x + Pen.Width;
    end;
  end;
end;

end.
