unit TablesU;

interface

uses
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, Db, DBTables, Grids, DBGrids, StdCtrls;

type
  TForm1 = class(TForm)
    cmbAlias: TComboBox;
    cmbTable: TComboBox;
    DBGrid1: TDBGrid;
    Table1: TTable;
    DataSource1: TDataSource;
    procedure FormCreate(Sender: TObject);
    procedure cmbAliasChange(Sender: TObject);
    procedure cmbTableChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Session.GetAliasNames(cmbAlias.Items);
end;

procedure TForm1.cmbAliasChange(Sender: TObject);
begin
  Session.GetTableNames(cmbAlias.Text,
    '*.*', False, False, cmbTable.Items)
end;

procedure TForm1.cmbTableChange(Sender: TObject);
begin
  Table1.DisableControls;
  try
    Table1.Close;
    Table1.DatabaseName := cmbAlias.Text;
    Table1.TableName := cmbTable.Text;
    Table1.Open
  finally
    Table1.EnableControls
  end
end;

end.
