function TForm1.GetLastErrorText(dwError:DWORD):string;
const
 MAX_MSG_SIZE = 256;
var
szMsgBuf:array[0..MAX_MSG_SIZE-1] of char;

  function MakeLangID(p, s:DWORD):DWORD;
  begin
   result:= ((WORD(s) shl 10) or word(p));
  end; {MakeLangID}

begin
 if FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM,
                  nil,
                  dwError,
                  MAKELANGID(LANG_ENGLISH,SUBLANG_ENGLISH_US),
                  szMsgBuf,
                  MAX_MSG_SIZE,
                  nil)=0 then begin
    result:=Format('Error %d',[dwError]);
  end else begin
    result:=szMsgBuf;
  end;
end; {GetLastErrorText}
