unit MainU;

interface

uses
  WinTypes,WinProcs, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, Buttons, ExtCtrls, Menus, StdCtrls, Grids,
  DBGrids, DBCtrls, DB, DBTables;

type
  TMainF = class(TForm)
    SpeedPanel: TPanel;
    Button1: TButton;
    Button2: TButton;
    Table1: TTable;
    DataSource1: TDataSource;
    Panel1: TPanel;
    Panel2: TPanel;
    DBNavigator1: TDBNavigator;
    DBGrid1: TDBGrid;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainF: TMainF;

implementation
uses
  RestrU;

{$R *.DFM}


procedure TMainF.FormCreate(Sender: TObject);
begin
  AutoScroll := True;
  with Table1 do begin
    DatabaseName := ExtractFilePath(Application.ExeName);
    TableName := 'Restr.db';
    Open;
  end;
end;

procedure TMainF.Button1Click(Sender: TObject);
begin
  RestrF.Modify(Table1);
end;

procedure TMainF.Button2Click(Sender: TObject);
begin
  Close;
end;

end.
